package dalsong.player;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPanel;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.BorderLayout;

import javax.swing.JDialog;
import javax.swing.JLabel;
import java.awt.Rectangle;


import javax.swing.JTextArea;

public class AboutDialog2 extends JDialog {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JPanel jPanel = null;

	private ImageIcon imgLogo = new ImageIcon("./res/moon_logo.png");
	private JFrame owner;
	private JTextArea jTextArea = null;
	/**
	 * @param owner
	 */
	public AboutDialog2(JFrame owner) {
		super(owner);
		this.owner = owner;
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setContentPane(getJContentPane());
		this.setTitle("޼...");
		this.setLocationRelativeTo(owner);
		this.setResizable(false);
		this.pack();
		this.setVisible(true);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getJPanel(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(null);
			jPanel.setBackground(Color.BLACK);
			jPanel.setPreferredSize(new Dimension(360, 190));
			JLabel logoLb = new JLabel();
			logoLb.setIcon(imgLogo);
			logoLb.setBounds(193, 6, 179, 163);

			jPanel.add(logoLb);
			jPanel.add(getJTextArea(), null);
			
			/*
			JLabel blogAddr = new JLabel("http://blog.naver.com/drub5");
			blogAddr.setForeground(Color.GRAY);
			blogAddr.setBackground(Color.BLACK);
			blogAddr.setBounds(17, 145, 200, 20);
			jPanel.add(blogAddr);
			*/
		}
		return jPanel;
	}

	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
			jTextArea.setBounds(new Rectangle(16, 15, 185, 169));
			jTextArea.setEditable(false);
			jTextArea.setBackground(null);
			jTextArea.setForeground(Color.GRAY);
			String title = "޽ \n" +
			"Version 0.43\n\n" +
			"޽ ڹٷ  \n" + 
			" MP3 ÷̾Դϴ.\n\n" +
			" : (б)\n" +
			"http://blog.naver.com/drub5";

			jTextArea.setText(title);
		}
		return jTextArea;
	}

}  //  @jve:decl-index=0:visual-constraint="193,76"


